Get Live Vault State
curl --request GET \
--url https://api.aegisintent.xyz/v1/actions/yield/vault \
--header 'Authorization: Bearer <token>' \
--header 'X-Aegis-Email: <x-aegis-email>'import requests
url = "https://api.aegisintent.xyz/v1/actions/yield/vault"
headers = {
"X-Aegis-Email": "<x-aegis-email>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Aegis-Email': '<x-aegis-email>', Authorization: 'Bearer <token>'}
};
fetch('https://api.aegisintent.xyz/v1/actions/yield/vault', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"vault": {
"address": "<string>",
"totalAssets": "<string>",
"totalShares": "<string>",
"pricePerShare": "<string>",
"estimatedAPYPercent": 123
}
}Actions API
Get Live Vault State
Reads directly from the AegisUSDC vault smart contract to return live metrics including Total Value Locked (TVL), estimated APY, and the current Price Per Share. Crucial for understanding appreciation.
GET
/
v1
/
actions
/
yield
/
vault
Get Live Vault State
Fetch the live metrics from the AegisUSDC vault contract, including Total Value Locked (TVL) and current Price Per Share.
Was this page helpful?
⌘I